Bug 8902 - Many columns do not appear in batch modification if selected records do not include them
Summary: Many columns do not appear in batch modification if selected records do not i...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-10 20:14 UTC by Nicole C. Engard
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-10-10 20:14:59 UTC
In the table at the top of the batch item modification tool there is no column for shelving location anymore ... that needs to be there.
Comment 1 José Anjos 2012-10-19 15:48:56 UTC
I don't ha the column Status
I've tested ver. 3.08.03 and 3.08.04 with Unimarc
Comment 2 Owen Leonard 2012-10-19 20:10:16 UTC
It looks to me like the table of selected items only shows columns which exist in the selected records.

I tested this by going through the list of columns and setting each value to NULL for a single selected item. With most columns, setting the value to NULL would make it disappear from the summary. Only withdrawn, lost, damaged, and not for loan appeared to be the exceptions, presumably because they cannot be NULL.
Comment 3 José Anjos 2012-10-22 15:42:09 UTC
I've setted each value to NULL for a single selected item to.
If I set "Homebranch" to NULL it will disappear from the "Show/hide columns" section but it still appear in the "Edit Items" section.
If I set a value (Ex: 0, 1, 2...) to "notforloan" collumn it still not showing up. Confused...
Comment 4 Owen Leonard 2012-10-22 15:53:19 UTC
(In reply to comment #3)
> If I set a value (Ex: 0, 1, 2...) to "notforloan" collumn it still not
> showing up. Confused...

That's because this bug doesn't cover the problem you're having. Your issue (at least in my opinion) is something else.
Comment 5 Jonathan Druart 2015-04-01 13:32:10 UTC
It looks like this is fixed. Could someone confirm?